> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.kpi.ms/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Report



## OpenAPI

````yaml /openapi.json get /integration/v1/client/campaigns/{campaignId}/jobs/{jobId}/report
openapi: 3.1.0
info:
  title: KPI Integration API
  version: v1
servers:
  - url: https://api.kpi.ms
    description: Production
security:
  - http: []
tags:
  - name: Verify
  - name: Campaign
  - name: Job
paths:
  /integration/v1/client/campaigns/{campaignId}/jobs/{jobId}/report:
    get:
      tags:
        - Job
      summary: Get Report
      operationId: integration.v1.client.campaigns.jobs.report
      parameters:
        - name: campaignId
          in: path
          required: true
          schema:
            type: integer
        - name: jobId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      job:
                        type: object
                        properties:
                          id:
                            type: integer
                          job_status:
                            type: integer
                            enum:
                              - 2
                              - 1
                          job_score_percentage:
                            type:
                              - string
                              - 'null'
                          campaign:
                            type: object
                            properties:
                              id:
                                type:
                                  - integer
                                  - 'null'
                              campaign_name:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - campaign_name
                          location:
                            type: object
                            properties:
                              id:
                                type:
                                  - integer
                                  - 'null'
                              location_code:
                                type:
                                  - string
                                  - 'null'
                              location_name:
                                type:
                                  - string
                                  - 'null'
                              is_competitor:
                                type: boolean
                              competitor_name:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - location_code
                              - location_name
                              - is_competitor
                              - competitor_name
                          report:
                            type: object
                            properties:
                              id:
                                type:
                                  - integer
                                  - 'null'
                              report_type:
                                type:
                                  - string
                                  - 'null'
                              survey_id:
                                type:
                                  - integer
                                  - 'null'
                              survey_name:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - report_type
                              - survey_id
                              - survey_name
                        required:
                          - id
                          - job_status
                          - job_score_percentage
                          - campaign
                          - location
                          - report
                      sections:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            section_title:
                              type: string
                            sort_order:
                              type: string
                            percentage:
                              type:
                                - string
                                - 'null'
                            obtained_score:
                              type:
                                - string
                                - 'null'
                            max_score:
                              type:
                                - integer
                                - 'null'
                            questions:
                              type: array
                              items:
                                anyOf:
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: question
                                      reference_code:
                                        type:
                                          - string
                                          - 'null'
                                      question:
                                        type:
                                          - string
                                          - 'null'
                                      question_type:
                                        type:
                                          - string
                                          - 'null'
                                      answer_type:
                                        type:
                                          - string
                                          - 'null'
                                        enum:
                                          - single-choice
                                          - multiple-choice
                                          - null
                                      response:
                                        type:
                                          - string
                                          - 'null'
                                      obtained_score:
                                        type: string
                                      max_score:
                                        type: string
                                      comment:
                                        type:
                                          - string
                                          - 'null'
                                      photos:
                                        type: array
                                        items:
                                          type:
                                            - string
                                            - 'null'
                                      threads:
                                        type: array
                                        items:
                                          type: string
                                      logic_questions:
                                        type: array
                                        items:
                                          type: string
                                        minItems: 0
                                        maxItems: 0
                                        additionalItems: false
                                    required:
                                      - type
                                      - reference_code
                                      - question
                                      - question_type
                                      - answer_type
                                      - response
                                      - obtained_score
                                      - max_score
                                      - comment
                                      - photos
                                      - threads
                                      - logic_questions
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: question
                                      reference_code:
                                        type:
                                          - string
                                          - 'null'
                                      question:
                                        type:
                                          - string
                                          - 'null'
                                      question_type:
                                        type:
                                          - string
                                          - 'null'
                                      answer_type:
                                        type: string
                                        enum:
                                          - single-choice
                                          - multiple-choice
                                      response:
                                        type: array
                                        items:
                                          type: string
                                      obtained_score:
                                        type: string
                                      max_score:
                                        type: string
                                      comment:
                                        type:
                                          - string
                                          - 'null'
                                      photos:
                                        type: array
                                        items:
                                          type:
                                            - string
                                            - 'null'
                                      threads:
                                        type: object
                                        additionalProperties: {}
                                      logic_questions:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            reference_code:
                                              type:
                                                - string
                                                - 'null'
                                            question:
                                              type:
                                                - string
                                                - 'null'
                                            question_type:
                                              type:
                                                - string
                                                - 'null'
                                            answer_type:
                                              type:
                                                - string
                                                - 'null'
                                            response:
                                              type: array
                                              items:
                                                type: string
                                            obtained_score:
                                              type: string
                                            max_score:
                                              type: string
                                            threads:
                                              anyOf:
                                                - type: string
                                                - type: array
                                                  items:
                                                    type: string
                                                  minItems: 0
                                                  maxItems: 0
                                                  additionalItems: false
                                          required:
                                            - reference_code
                                            - question
                                            - question_type
                                            - answer_type
                                            - response
                                            - obtained_score
                                            - max_score
                                            - threads
                                    required:
                                      - type
                                      - reference_code
                                      - question
                                      - question_type
                                      - answer_type
                                      - response
                                      - obtained_score
                                      - max_score
                                      - comment
                                      - photos
                                      - threads
                                      - logic_questions
                                  - type: 'null'
                                  - type: object
                                    properties:
                                      type:
                                        type: string
                                        const: text_entry
                                      description:
                                        type:
                                          - string
                                          - 'null'
                                      answer:
                                        type: string
                                    required:
                                      - type
                                      - description
                                      - answer
                            text_entries:
                              type: array
                              items:
                                type: object
                                properties:
                                  description:
                                    type:
                                      - string
                                      - 'null'
                                  answer:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - description
                                  - answer
                            inputs:
                              type: array
                              items:
                                anyOf:
                                  - type: 'null'
                                  - type: object
                                    properties:
                                      input_type:
                                        type: string
                                        const: text
                                      description:
                                        type:
                                          - string
                                          - 'null'
                                      answer:
                                        type:
                                          - string
                                          - 'null'
                                    required:
                                      - input_type
                                      - description
                                      - answer
                                  - type: object
                                    properties:
                                      input_type:
                                        type:
                                          - string
                                          - 'null'
                                      description:
                                        type:
                                          - string
                                          - 'null'
                                      answer:
                                        anyOf:
                                          - type: 'null'
                                          - type: string
                                          - type: object
                                          - type: array
                                            items:
                                              type:
                                                - string
                                                - 'null'
                                      measurement:
                                        type:
                                          - string
                                          - 'null'
                                    required:
                                      - input_type
                                      - description
                                      - answer
                                      - measurement
                            media_galleries:
                              type: array
                              items:
                                type:
                                  - object
                                  - 'null'
                                properties:
                                  description:
                                    type:
                                      - string
                                      - 'null'
                                  view_type:
                                    anyOf:
                                      - type: string
                                      - type: string
                                        enum:
                                          - grid-view
                                  images:
                                    type: array
                                    items:
                                      type:
                                        - object
                                        - 'null'
                                      properties:
                                        url:
                                          type: string
                                        thumb_url:
                                          type: string
                                        caption:
                                          type:
                                            - string
                                            - 'null'
                                      required:
                                        - url
                                        - thumb_url
                                        - caption
                                required:
                                  - description
                                  - view_type
                                  - images
                          required:
                            - id
                            - section_title
                            - sort_order
                            - percentage
                            - obtained_score
                            - max_score
                            - questions
                            - text_entries
                            - inputs
                            - media_galleries
                    required:
                      - job
                      - sections
                required:
                  - data
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: MISSING_API_KEY
                    message: API key is required.
                  - error_code: INVALID_API_KEY
                    message: Invalid API key.
                  - error_code: API_KEY_EXPIRED
                    message: API key has expired.
                properties:
                  error_code:
                    type: string
                    examples:
                      - MISSING_API_KEY
                  message:
                    type: string
                    examples:
                      - API key is required.
                required:
                  - error_code
                  - message
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: FORBIDDEN
                    message: You do not have access to this resource.
                  - error_code: IP_NOT_ALLOWED
                    message: Request IP is not allowed.
                  - error_code: DOMAIN_NOT_ALLOWED
                    message: Request domain/origin is not allowed.
                properties:
                  error_code:
                    type: string
                    examples:
                      - FORBIDDEN
                  message:
                    type: string
                    examples:
                      - You do not have access to this resource.
                required:
                  - error_code
                  - message
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: NOT_FOUND
                    message: Resource not found.
                properties:
                  error_code:
                    type: string
                    examples:
                      - NOT_FOUND
                  message:
                    type: string
                    examples:
                      - Resource not found.
                required:
                  - error_code
                  - message
        '409':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: REPORT_NOT_READY
                    message: >-
                      The report is not available because the job has not been
                      published yet.
                  - error_code: REPORT_NOT_READY
                    message: The report is not available, try again later.
                  - error_code: REPORT_NOT_READY
                    message: >-
                      The report is not available because the survey for this
                      job was not found.
                  - error_code: REPORT_NOT_READY
                    message: >-
                      The report is not available because survey sections are
                      not configured for this survey.
                properties:
                  error_code:
                    type: string
                    examples:
                      - REPORT_NOT_READY
                  message:
                    type: string
                    examples:
                      - >-
                        The report is not available because the job has not been
                        published yet.
                required:
                  - error_code
                  - message
        '429':
          description: ''
          content:
            application/json:
              schema:
                type: object
                examples:
                  - error_code: RATE_LIMIT_EXCEEDED
                    message: Too many requests.
                properties:
                  error_code:
                    type: string
                    examples:
                      - RATE_LIMIT_EXCEEDED
                  message:
                    type: string
                    examples:
                      - Too many requests.
                required:
                  - error_code
                  - message
components:
  securitySchemes:
    http:
      type: http
      scheme: bearer

````